package model

import recipeappkmp.shared.generated.resources.Chicken_And_Waffles
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val americanList = listOf(
    Recipe(
        title = "Chicken & Waffles",
        description = "Southern Fried Chicken served on a Buttermilk Waffle, drenched in a hot Honey Butter.",
        ingredients = listOf(
            "8 Chicken Breasts",
            "8 Waffles",

            "HEADER-Buttermilk Brine",
            "2 Cups (480 mL) Buttermilk",
            "1 Tbsp Kosher Salt",
            "½ Tbsp Garlic Powder",
            "½ Tbsp Onion Powder",
            "1 Tbsp Hot Sauce or Chili Powder",
            "1 Tsp Smoked Paprika",

            "HEADER-Flour Crust",
            "3 Cups (384 g) Flour",
            "⅓ Cup (43 g) Cornstarch",
            "2 Tsp Baking Powder",
            "2 Tsp Garlic Powder",
            "2 Tsp Onion Powder",
            "2 Tsp Kosher Salt",
            "2 Tsp freshly cracked Black Pepper",

            "HEADER-Spicy Honey Butter",
            "¼ Cup (85 g)Honey",
            "½ Tsp Chili Powder",
            "4 Tbsp (57 g) Unsalted Butter",
            "½ Tsp Kosher Salt",
        ),
        instructions = listOf(
            "Whisk the Buttermilk [2 Cups], Kosher Salt [1 Tbsp], Garlic Powder [1/2 Tbsp], Onion Powder [1/2 Tbsp], Hot Sauce [1 Tbsp], and Smoked Paprika [1 Tsp] together in a large mixing bowl.",
            "Add the Chicken Breast [8] to the bowl, making sure every piece is covered in the Brine. Cover the bowl and let the Chicken marinate in the Buttermilk Brine from 1 hour to overnight in the fridge.",
            "In a dutch oven pot, heat up about half the pot's worth of Vegetable Oil. Allow the Oil to reach 350 degrees F.",
            "While the Oil is heating up, in a mixing bowl whisk together Flour [3 Cups], Cornstarch [1/3 Cup], Baking Powder [2 Tsp], and Seasonings. Take each Chicken piece from the Brine and dredge into the seasoned Flour. Thoroughly coat the Chicken all over, then let rest on a plate for five minutes before frying.",
            "Fry the Chicken in the hot Oil (no more than about 4 per batch) until golden brown, crispy, and cooked through completely, about 8-9 minutes.",
            "Carefully take the Chicken out of the oil and place them on a baking sheet fitted with a wire rack and let cool slightly before serving. Repeat until all the Chicken is fried.",
            "In a small saucepan, melt butter over medium heat with honey, chili powder, and kosher salt. Whisk well until the mixture is incorporated and homogenized.",
            "Lower the temperature to 'warm/low' heat and keep for serving. [Make sure to keep warm, as sauce will solidify very quickly]",
            "Make the Belgian Waffles and serve the Chicken on top of the waffles, then drizzle generously with Spicy Honey Butter Sauce.",
            ),
        tags = mapOf(
                "American" to TagType.CUISINE,
                "Entree" to TagType.COURSE,
                "Spicy" to TagType.FLAVOUR,
                "Savory" to TagType.FLAVOUR,
                "Fried" to TagType.TECHNIQUE
        ),
        image = Res.drawable.Chicken_And_Waffles,
        cookTime = Duration.parse("20m"),
        prepTime = Duration.parse("8h"),
    ),

    Recipe(
        title = "Ragin' Cajun Pasta",
        description = "Short Pasta in a Creamy Cajun Wine and Tomato Sauce.",
        ingredients = listOf(
            "1 lb Pasta",
            "2 Cups White Wine",
            "1 Cup Heavy Cream",
            "2 Tbsp Tomato Paste",
            "1 Tbsp Garlic Powder",
            "2 Tsp Onion Powder",
            "2 Tbsp Cajun Spice",
            "2 Tsp Paprika",
            "1 cap Lemon Juice",
            "2 Tbsp Flour",
            "2 Tbsp Butter",
        ),
        instructions = listOf(
            "Cook Pasta to al dente.",
            "In a saucepan, melt Butter [2 Tbsp], then add Flour [2 Tbsp].",
            "Add White Wine [2 Cups], reduce.",
            "Add Cream [1 Cup] and Tomato Paste [2 Tbsp], reduce.",
            "Add Onion [2 Tsp], Garlic [1 Tbsp], Cajun [2 Tbsp], and Paprika [2 Tsp] Powders",
            "Stir in Pasta",
        ),
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("30m"),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Cajun" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Creamy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Saucier" to TagType.TECHNIQUE,
            "Sauce" to TagType.COURSE,
        ),
        image = Res.drawable._10_strawberries,
        servings = "Makes Pasta for 4"
    ),

    Recipe(
        title = "Midnight Garlic Noodles",
        description = "Garlicky, Oily, Rich Umami Noodles",
        ingredients = listOf(
            "Sea Salt",
            "12 Ounces Wheat Pasta",
            "2 Tbsp Burnt Miso",
            "15 Cloves Garlic Confit",
            "2 Tbsp Garlic Oil",
            "1 Tbsp Unsalted Butter",
            "Fleur de Sel",
            "Parmesan Cheese",
        ),
        instructions = listOf(
            "Cook Pasta [12 Ounces] to al dente",
            "Run Burnt Miso [2 Tbsp], Garlic [15 Cloves], and Garlic Oil [1 Tbsp] in blender until smooth.",
            "Add Butter [1 Tbsp] and 1/4 Cup of Pasta Water, blend again.",
            "Heat Garlic Oil [1 Tbsp] in a skillet. Add the Garlic-Miso Sauce from above. Use tongs to transfer Pasta directly to the skillet.",
            "Season with Fleur de Sel and cover with Parmesan Cheese",
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Umami" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
        ),
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        image = Res.drawable._10_strawberries,
        servings = "Makes 2 Bowls"
    ),

    Recipe(
        title = "Burnt Miso",
        description = "Bitter and Sweet, Burnt Miso adds a complex layer to Umami dishes.",
        prepTime = Duration.parse("5m"),
        cookTime = Duration.parse("30m"),
        ingredients = listOf(
            "Miso Paste"
        ),
        instructions = listOf(
            "Preheat oven to 400F",
            "Spread as much Miso as you want to burn in a 1/2 inch thick layer on parchment paper on a baking sheet.",
            "Bake for 30 Minutes or until charred.",
            "Blend when using."
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Ingredient" to TagType.COURSE,
            "Bitter" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Baked" to TagType.TECHNIQUE
        ),
        image = Res.drawable._10_strawberries
    )
)