package view

import androidx.compose.runtime.Composable
import model.Globe
import model.Recipe

fun List<String>.containsPartial(text:String) : Boolean {
    return  this.any {it.lowercase().contains(text.lowercase())}
}

@Composable
fun getFilteredRecipeList(
    tags : List<String>,
    search : String,
    lockTag : String,
) : List<Recipe> {
    val items = getRecipeList()

    var recipes = items.filter { it.tags.keys.containsAll(tags) }

    recipes = recipes.filter {
        it.title.lowercase().contains(search.lowercase()) || it.ingredients.containsPartial(search)
    }

    if (lockTag != "" && lockTag != "SURPRISE")
    {
        recipes = recipes.filter { it.tags.contains(lockTag)}
    }

    recipes = recipes.sortedBy { it.title }

    return recipes
}

@Composable
fun getRecipeList() : List<Recipe> {
    return Globe.getAllRecipes()
}